import { z } from 'zod';

// Define custom validation messages
const validationMessages = {
    name: {
        minLength: 'Name must be at least 3 characters.',
        maxLength: 'Name must contain at most 50 characters.',
    },
    age: {
        min: 'Age must be at least 0 years.',
        max: 'Age must be at most 5000 years.'
    }
};

export const TreeSchema = z.object({
    name: z.string().min(3, validationMessages.name.minLength).max(50, validationMessages.name.maxLength),
    age: z.number().min(0, validationMessages.age.min).max(5000, validationMessages.age.max)
});
